MODULE Paletti;
(*  2012 Ari.Tao  * 10.09.12                     .

   Setzt eine Default-FarbPalette.

   Sowohl (N)AES als auch MAGIC haben eingebaute Default-Paletten, die in
   einzelnen FarbIntensitten keineswegs ausgewogen sind; ibs. die Grund-
   Farben YMC, aber auch weitere erscheinen gg. den brigen zu hell, mit
   der Folge eines blassen Desktops. Das fllt normalerweise kaum auf, da
   sie beim Laden eines Control-ACC durch das COLOR.CPX sofort korrigiert
   werden. Falls aber kein CTRL.ACC mitgebootet werden soll, gibt es hier
   eine Abhilfe.
   Das Prg. wird hnlich wie Mousy.PRG sinnvollerweise erst nach Initlsg.
   des VDI gestartet, also zB. im Ordner START\ oder in einem #Z-Starter.

*)(*$T-,$S-,$Q+  Mit Mini-GEMX linken! *)

IMPORT AEB, VDB;
TYPE   rgb = RECORD R,G,B: CARDINAL END;
VAR    cIx: INTEGER;
       Col: ARRAY [0..15] OF rgb;

BEGIN
       Col[ 0].R := 999; Col[ 0].G := 999; Col[ 0].B := 999;
       Col[ 1].R := 000; Col[ 1].G := 000; Col[ 1].B := 000;
       Col[ 2].R := 999; Col[ 2].G := 000; Col[ 2].B := 000;
       Col[ 3].R := 000; Col[ 3].G := 792; Col[ 3].B := 000;
       Col[ 4].R := 000; Col[ 4].G := 000; Col[ 4].B := 999;
       Col[ 5].R := 000; Col[ 5].G := 792; Col[ 5].B := 792;
       Col[ 6].R := 871; Col[ 6].G := 871; Col[ 6].B := 000;
       Col[ 7].R := 871; Col[ 7].G := 000; Col[ 7].B := 871;
       Col[ 8].R := 553; Col[ 8].G := 553; Col[ 8].B := 553;
       Col[ 9].R := 394; Col[ 9].G := 394; Col[ 9].B := 394;
       Col[10].R := 553; Col[10].G := 000; Col[10].B := 000;
       Col[11].R := 000; Col[11].G := 553; Col[11].B := 000;
       Col[12].R := 000; Col[12].G := 000; Col[12].B := 553;
       Col[13].R := 000; Col[13].G := 553; Col[13].B := 553;
       Col[14].R := 553; Col[14].G := 553; Col[14].B := 000;
       Col[15].R := 553; Col[15].G := 000; Col[15].B := 553;
   FOR cIx := 0 TO 15 DO
       VDB.SetColorRep (AEB.GrafHandle(), cIx, Col[cIx]) END;
   END Paletti .
